{"openapi":"3.0.4","info":{"title":"Query the set of supported \"addresses\" that can be queried from all endpoints.","description":"When a request is made, the user needs to know what keys can be passed to it for queryable data. This endpoint provides all supported keys,","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/queryablekeys":{"get":{"tags":["QueryableKeys"],"summary":"Query the set of supported \"addresses\" that can be queried from all endpoints.","description":"When a request is made, the user needs to know what keys can be passed to it for queryable data. This endpoint provides all supported keys,","operationId":"GetAllQueryableKeys","parameters":[{"name":"asAt","in":"query","description":"For user defined DerivedValuation keys.","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"filter","in":"query","description":"Expression to filter the result set.\r\n            Read more about filtering results from LUSID here https://support.lusid.com/filtering-results-from-lusid.","schema":{"maxLength":16384,"minLength":0,"pattern":"^[\\s\\S]*$","type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceListOfQueryableKey"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceListOfQueryableKey"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceListOfQueryableKey"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"EarlyAccess"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}